# -- Site Configuration --

theme = ["hugo-admonitions", "blowfish"]
baseURL = "https://wiki.wompmacho.com/"
defaultContentLanguage = "en"
relativeURLs = true

enableRobotsTXT = true
summaryLength = 5

buildDrafts = true
buildFuture = true
enableEmoji = true

[taxonomies]
  tag = "tags"
  category = "categories"
  author = "authors"
  series = "series"

[sitemap]
  changefreq = "daily"
  filename = "sitemap.xml"
  priority = 0.5

[outputs]
  home = ["HTML", "RSS", "JSON"]

[frontmatter]
  lastmod = ["lastmod", ":git", "date"]

enableGitInfo = true

[markup.tableOfContents]
  endLevel = 3
  ordered = false
  startLevel = 2

[module]
  [[module.mounts]]
    source = "content"
    target = "content"
  [[module.mounts]]
    source = "/srv/docs/private"
    target = "content/private"
  [[module.mounts]]
    source = "/srv/configs"
    target = "assets/configs"
    
[security]
  [security.funcs]
    readFile = [".*"]
    "os.Stat" = [".*"]
    "os.ReadDir" = [".*"]
  [[module.mounts]]
    source = "assets"
    target = "assets"
  [security.exec]
      # Hugo must be allowed to run the asciidoctor binary
      allow = ['^asciidoctor$']